%define major 0
%define apiversion 0.3
%define libname	%mklibname %{name}-%{apiversion}_ %{major}
%define develname %mklibname %{name} -d


Summary:	An extension library to Xfce desktop environment
Name:		exo
Version:	0.3.107
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.xfce.org
Source:		http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
Patch2:		%{name}-0.3.2-iocharset.patch
Patch3:         %{name}-0.3.2-eject-volume.patch
Patch4:		%{name}-linkage_fix.diff
Patch5:		%{name}-0.3.99.1-noatime.patch
BuildRequires:	gtk2-devel
BuildRequires:	libxfcegui4-devel
BuildRequires:	gtk-doc
BuildRequires:	perl(URI::Escape)
BuildRequires:	hal-devel
BuildRequires:	libnotify-devel
BuildRequires:	intltool
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

#german
%description -l de
Eine Erweiterungsbibliothek von Xfce. Dies ist libexo, eine Erweiterungs 
Bibliothek zu Xfce, entwickelt von OS-cillation. Während Xfce mit sehr 
wenigen Bibliotheken daher kommt, die für die Arbeitsflächenentwicklung 
ausgelegt sind, richtet sich libexo an diese.

#french
%description -l fr
Ceci est libexo, une bibliothèque d'extension à Xfce, développé par os-cillation. 
Alors que Xfce est livré avec quelques bibliothèques qui sont ciblés à 
développement de bureau, libexo vise le développement d'applications.

#spanish
%description -l es
Esta es la libexo, una biblioteca de extensión a XFCE, desarrollado por el OS-cillation. 
Mientras Xfce viene con bastantes pocas bibliotecas que están dirigidos a 
el desarrollo de escritorio, libexo está dirigido a desarrollo de aplicaciones.

#polish
%description -l pl
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

#serbian
%description -l sr
Ово је либексо, продужење библиотеку да Ксфце, развијен од стране ОС-циллатион. 
Иако долази са Ксфце доста библиотека које су усмерене на 
Десктоп развој либексо је усмерен на развој апликација.

#dutch
%description -l nl
Dit is libexo, een uitbreiding bibliotheek Xfce, ontwikkeld door os-cillation. 
Terwijl Xfce komt met een flink aantal bibliotheken die zijn gericht op 
bureaublad ontwikkeling is libexo gericht op applicatie-ontwikkeling.

%package -n %{libname}
Summary:	An extension library to Xfce
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Main library for the libexo.

%description -n %{libname} -l de
Haupt Bibliothek für libexo.

%package -n %{develname}
Summary:	Headers, static libraries and documentation for libexo
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name}-%{apiversion}_ 0 -d

%description -n %{develname}
Headers, static libraries and documentation for libexo.

%description -n %{develname} -l de
Headers, statische Bibliothek und Dokumentation für libexo.

%package -n python-%{name}
Summary:	Python bindings for the exo library
Group:		Development/Python
Requires:	python >= 2.6.6
BuildRequires:	pygtk2.0-devel

%description -n python-%{name}
This package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the libexo package.

%description -n python-%{name} -l de
Dieses Paket enthält ein Modul, dass die Überwachung von Dateien 
und Verzeichnisse, basierend auf der Python Sprache, ermöglicht mit
der Unterstützung des libexo Paket.

%package doc
Summary: 	Documentation for openbox
Group: 		Books/Computer books
Requires: 	%{name}

%description doc
Documentation for %{name}



%prep
%setup -q
%patch2 -p1
#%patch3 -p1
%patch4 -p1
#%patch5 -p1



%build
# (tpg) needed for patch 4
NOCONFIGURE=1 xdt-autogen

CFLAGS="-I/usr/include/pygtk-2.0"

%configure2_5x \
	--sysconfdir=%{_sysconfdir}/X11 \
	--enable-notifications \
	--enable-hal \
	--enable-python \
	--disable-static \
	--enable-gtk-doc

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang lib%{name}-%{apiversion}

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%files
%defattr(-,root,root)
%{_sysconfdir}/X11/xdg/xfce4/mount.rc
%{_sysconfdir}/X11/xdg/xfce4/helpers.rc
%{_bindir}/exo*
%{_datadir}/applications/exo-preferred-applications.desktop
%{_datadir}/xfce4/helpers/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/exo*
%{_datadir}/pixmaps/exo-0.3/exo-thumbnail-frame.png
%{_datadir}/xfce4/doc/*

%files -n %{libname} -f lib%{name}-%{apiversion}.lang
%defattr(-,root,root)
%{_libdir}/exo-helper-0.3
%{_libdir}/exo-compose-mail-0.3
%{_libdir}/*%{apiversion}.so.%{major}*
%{_libdir}/exo-mount-notify-0.3

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/exo-*0.3.pc
%{_includedir}/*

%files -n python-%{name}
%defattr(-,root,root)
%{_datadir}/pygtk/2.0/defs/exo-0.3
%{_libdir}/python*/site-packages/exo-0.3
%{py_sitedir}/pyexo*

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/exo-0.3/*



%changelog
* Sun Sep 05 2010 Texstar <texstar at gmail.com> 0.3.107-2pclos2010
- rebuild

* Sun May 23 2010 Texstar <texstar at gmail.com> 0.3.107-1pclos2010
- 0.3.107

* Fri Dec 25 2009 Texstar <texstar at gmail.com> 0.3.101-3pclos2010
- rebuild

* Tue Oct 06 2009 Neal <nealbrks0@gmail.com> 0.3.101-2pclos2010
- gcc update

* Tue Apr 21 2009 johnnyblack <johnnyblack@inbox.com> 0.3.101-1pclos2009
- 0.3.101

